/*********************************************\
*   BeApple2 : Apple ][+ emulator for BeOS    *
*                                             *
*        graphic.h : Graphics (Header)        *
\*********************************************/

#include <SupportDefs.h>

const int DISPLAY_OFF=0;		// Unplugged
const int DISPLAY_WHITE=1;		// White monochrome
const int DISPLAY_GREEN=2;		// Green monochrome
const int DISPLAY_AMBER=3;		// Amber phosphorus
const int DISPLAY_COLOR=4;		// Standard colour display
const int DISPLAY_COLORLOW=5;	// Color with black dots on white backgrounds

extern volatile bool Graph_Text; // Text=false Graphic=true
extern volatile bool All_4Lines; // All =false 4Lines=true
extern volatile bool PageSwitch; // Page1=false Page2=true
extern volatile bool Lo_HiGraph; // LoRes=false HiRes=true

const int ZOOM_MAX=8;
extern int ZoomLev;	// Zooming index
extern int ZoomScale; // Zooming factor
extern int ZoomTab[]; // Zooming scale

extern void GraphicModeUpdate();

extern void VideoUpdate();
extern bool InitGraphic();
extern void ClearGraphic();
extern void InitDisplay();

const int Gran=1;